{"id":"CVE-2026-70494","published":"2026-08-04T21:16:38.470","lastModified":"2026-08-05T15:17:12.630","description":"Open WebUI is an extensible, feature-rich, and user-friendly self-hosted AI platform. From 0.10.0 until 0.11.0, the DELETE /api/v1/folders/{id} handler in backend/open_webui/routers/folders.py allowed a user granted write access to a shared chat folder to permanently delete chats and messages belonging to the folder owner. The cascade following the authorization check is bound to the folder owner's id, but the subfolder check accepted any inherited write grant instead of requiring ownership or administrator status. A collaborator can destroy the owner's subtree or force-move chats out of it when delete_contents=false. This issue is fixed in 0.11.0.","cvssScore":8.1,"cvssSeverity":"HIGH","cvssVector":"CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:H","cwes":["CWE-862","CWE-863"],"vendors":[],"products":[],"references":[{"url":"https://github.com/open-webui/open-webui/commit/915ef7d0798d3175819cedbb2f62d7bf0db78c98","tags":[]},{"url":"https://github.com/open-webui/open-webui/pull/27003","tags":[]},{"url":"https://github.com/open-webui/open-webui/releases/tag/v0.11.0","tags":[]},{"url":"https://github.com/open-webui/open-webui/security/advisories/GHSA-3cg5-48j3-v4gv","tags":[]}],"exploitRefs":[{"url":"https://github.com/open-webui/open-webui/commit/915ef7d0798d3175819cedbb2f62d7bf0db78c98","tags":[]},{"url":"https://github.com/open-webui/open-webui/pull/27003","tags":[]},{"url":"https://github.com/open-webui/open-webui/releases/tag/v0.11.0","tags":[]},{"url":"https://github.com/open-webui/open-webui/security/advisories/GHSA-3cg5-48j3-v4gv","tags":[]}],"hasPoc":true,"ai":{"summary":"The flaw allows a collaborator with write access to a shared chat folder to delete chats and messages belonging to the folder owner, potentially leading to data loss.","exploitability":"Exploitation requires write access to a shared chat folder and the ability to manipulate subfolders. The issue is relatively easy to exploit given the preconditions.","blast_radius":"If exploited, the owner's subtree could be destroyed or chats moved out of it, impacting the owner's data integrity and privacy.","remediation":"Upgrade to version 0.11.0 or later.","detection":"No reliable host or network indicator is derivable from the published description.","tags":["web","data-loss","access-control"],"model":"qwen2.5:7b-instruct","analyzedAt":"2026-10-05T08:45:43.095Z"}}